%bcond_with usplash

Summary: UserUI tools for Tuxonice
Name: userui-tuxonice
Version: 1.0
Release: 5.svn1085%{dist}.cubbi1
License: GPL
Group: Applications/System
Packager: Matthias Hensler <matthias@wspse.de>
URL: http://tuxonice.net/
Source0: http://suspend2.net/downloads/all/tuxonice-userui-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpng-devel >= 1.2.0, libjpeg-devel, freetype-devel >= 2.1.0, zlib-devel, libmng-static, libmng-devel, lcms-devel, libjpeg-static, freetype-static, zlib-static
# needed for FC>=7
BuildRequires: libpng-static, lcms-static, glibc-static

Obsoletes: swsusp2-userui
Provides: swsusp2-userui = %{version}

Obsoletes: userui-suspend2
Provides: userui-suspend2 = %{version}

Patch1: tuxonice-userui-0.7.2-fc4-compile-fix.patch
Patch2: tuxonice-userui-1.0-errno.patch
Patch3: tuxonice-userui-0.7.2-no-usplash.patch
Patch4: tuxonice-userui-1.0-update-to-r1085.patch

%define usplash 0
%if %{with usplash}
%define usplash 1
%endif

%ifnarch x86_64 %{ix86}
%define usplash 0
%endif

%if %{usplash}
BuildRequires: libusplash
%endif 

%description
Starting with version 2.1.8.6 there is a new method for displaying the progress
on suspend and resume with Software Suspend 2.
This package includes the tool for displaying progress on the text console.
To use this you need a software suspend 2/tuxonice enabled kernel.
Recent kernels as well as documentation can be found on
http://mhensler.de/swsusp/

%package fbsplash
Requires: userui-tuxonice
Obsoletes: swsusp2-userui-fbsplash
Provides: swsusp2-userui-fbsplash = %{version}
Obsoletes: userui-suspend2-fbsplash
Provides: userui-suspend2-fbsplash = %{version}
Summary: Tool for the framebuffer console
Group: Applications/System
%description fbsplash
This package includes the tool for displaying progress on the framebuffer
console.
To use this you need a software suspend 2/tuxonice enabled kernel with fbsplash.

%prep
%setup -n tuxonice-userui-%{version}
%patch1 -p1 -b .compile-fix
%patch2 -p1 -b .errno
%if !%{usplash}
%patch3 -p1 -b .no-usplash
%endif
%patch4 -p1 -b .update-r1085
perl -pi -e's, -o root -g root,,' Makefile

%build
make tuxoniceui_text
make tuxoniceui_fbsplash
%if %{usplash}
make tuxoniceui_usplash
%endif
%if %{usplash}
strip -s tuxoniceui_usplash
%endif
strip -s tuxoniceui_fbsplash
strip -s tuxoniceui_text

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/splash
mkdir -p $RPM_BUILD_ROOT/sbin
INSTDIR=$RPM_BUILD_ROOT/sbin make -e install
pushd $RPM_BUILD_ROOT/sbin
ln -s tuxoniceui_text suspend2ui_text
ln -s tuxoniceui_fbsplash suspend2ui_fbsplash
%if %{usplash}
ln -s tuxoniceui_usplash suspend2ui_usplash
%endif
popd

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog KERNEL_API README TODO USERUI_API
/sbin/tuxoniceui_text
/sbin/suspend2ui_text

%files fbsplash
/sbin/tuxoniceui_fbsplash
/sbin/suspend2ui_fbsplash
%if %{usplash}
/sbin/tuxoniceui_usplash
/sbin/suspend2ui_usplash
%endif

%changelog
* Fri May 14 2010 Matthias Hensler <matthias@wspse.de> 1.0-5.svn1085.cubbi1
- rebuild for Fedora 13

* Thu Feb 18 2010 Matthias Hensler <matthias@wspse.de> 1.0-4.svn1085.cubbi1
- update to SVN 1085 fixing usplash and updating support for recent
  tux on ice versions

* Wed Nov 18 2009 Matthias Hensler <matthias@wspse.de> 1.0-3.cubbi1
- rebuild for Fedora 12

* Mon Jun 08 2009 Matthias Hensler <matthias@wspse.de> 1.0-2.cubbi1
- rebuild for Fedora 11

* Wed Apr 08 2009 Matthias Hensler <matthias@wspse.de> 1.0-1.cubbi1
- update to 1.0.

* Sun Feb 01 2009 Matthias Hensler <matthias@wspse.de> 0.7.3-1.cubbi1
- update to 0.7.3.

* Sun Nov 09 2008 Matthias Hensler <matthias@wspse.de> 0.7.2-3.cubbi1
- rebuild for Fedora 10

* Sun May 11 2008 Matthias Hensler <matthias@wspse.de> 0.7.2-2.cubbi2
- Final rebuild for Fedora 9 Sulphur

* Sun Apr 09 2008 Matthias Hensler <matthias@wspse.de> 0.7.2-2.cubbi1
- build for Fedora 9 beta
- added dependancy for zlib-static

* Tue Nov 07 2007 Matthias Hensler <matthias@wspse.de> 0.7.2-1.cubbi3
- rebuild for Fedora 8 final

* Tue Oct 09 2007 Matthias Hensler <matthias@wspse.de> 0.7.2-1.cubbi2
- added changes from SVN rev1059

* Tue Jul 17 2007 Matthias Hensler <matthias@wspse.de> 0.7.2-1.cubbi1
- update to 0.7.2.
- rename to tuxonice

* Thu May 31 2007 Matthias Hensler <matthias@wspse.de> 0.7.1-1.cubbi2
- rebuild for FC7 final

* Sat May 19 2007 Matthias Hensler <matthias@wspse.de> 0.7.1-1.cubbi1
- update to 0.7.1.
- disable usplash by default (enable with "--with usplash" but be aware
  that a separate libusplash is needed and I have not prepared a package
  for that yet).

* Thu Mar 15 2007 Matthias Hensler <matthias@wspse.de> 0.7.0-1.cubbi2
- added syscall-patch for x86_64 builds.
- do not build usplash, unless --with usplash was specified.

* Thu Mar 15 2007 Matthias Hensler <matthias@wspse.de> 0.7.0-1.cubbi1
- update to 0.7.0.

* Fri Jan 19 2007 Matthias Hensler <matthias@wspse.de> 0.6.5_pre1-1.cubbi1
- update to 0.6.5_pre1.

* Fri Oct 20 2006 Matthias Hensler <matthias@wspse.de> 0.6.4-2.cubbi2
- rebuild for Fedora Core 6 final.

* Tue Sep 19 2006 Matthias Hensler <matthias@wspse.de> 0.6.4-2.cubbi1
- rebuild for FC5t3.

* Thu Jun 15 2006 Matthias Hensler <matthias@wspse.de> 0.6.4-1.cubbi1
- update to 0.6.4.
- build static fbsplash and add usplash.

* Mon Mar 20 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-3.cubbi1
- rebuild.

* Sun Mar 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> 0.6.3-2.cubbi2
- Allow building as non-root user.

* Sat Mar 18 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-1.cubbi2
- build for Fedora Core 5 final.
- require libjpeg-static to build this package.

* Wed Feb 22 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-1.cubbi1
- push themes into seperate package.

* Tue Feb 21 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-0.cubbi2
- rename package to userui-suspend2 for FC5.

* Thu Dec 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.3-0.cubbi1
- update to 0.6.3.

* Tue Dec 27 2005 Matthias Hensler <matthias@wspse.de> 0.6.2-0.cubbi1
- update to 0.6.2.

* Thu Nov 24 2005 Matthias Hensler <matthias@wspse.de> 0.6.1-0.cubbi2
- added Manzanatux theme by Eric Lassauge
  <lassauge@users.sourceforge.net>.
- fixed theme packages, so that themedirectory will be deleted on uninstall.

* Mon Aug 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.1-0.cubbi1
- update to 0.6.1.

* Mon Aug 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.0-0.cubbi1
- update to 0.6.0.

* Wed Jul 27 2005 Matthias Hensler <matthias@wspse.de> 0.5.3-0.cubbi1
- update to 0.5.3.

* Tue Jul 05 2005 Matthias Hensler <matthias@wspse.de> 0.5.1-0.cubbi1
- update to 0.5.1.

* Tue Jun 28 2005 Matthias Hensler <matthias@wspse.de> 0.5.0-0.cubbi1
- update to 0.5.0.

* Fri Jun 24 2005 Matthias Hensler <matthias@wspse.de> 0.4.0-0.cubbi1
- update to 0.4.0.
- updated build requires.

* Tue Jun 14 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi4
- rebuild on FC4.

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi3
- use seperate packages for the framebuffer ui.

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi2
- use seperate packages for the themes

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi1
- first build

